<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="server-root">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="organization,name"/>
        <elem name="addr-params" value="server-root"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="server-root"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.path.jboss.server.log.dir"/>
        <capability name="org.wildfly.management.model-controller-client-factory"/>
        <capability name="org.wildfly.server.suspend-controller"/>
        <capability name="org.wildfly.management.executor"/>
        <capability name="org.wildfly.management.external-module"/>
        <capability name="org.wildfly.management.path.jboss.home.dir"/>
        <capability name="org.wildfly.management.path.jboss.server.temp.dir"/>
        <capability name="org.wildfly.management.path.jboss.server.data.dir"/>
        <capability name="org.wildfly.management.path.jboss.server.base.dir"/>
        <capability name="org.wildfly.management.process-state-notifier"/>
        <capability name="org.wildfly.management.path-manager"/>
        <capability name="org.wildfly.management.path.jboss.controller.temp.dir"/>
        <capability name="org.wildfly.management.console-availability"/>
        <capability name="org.wildfly.management.notification-handler-registry"/>
        <capability name="org.wildfly.management.path.jboss.server.config.dir"/>
    </provides>
    <params>
        <param name="name" nillable="true"/>
        <param name="organization" nillable="true"/>
        <param name="server-root" feature-id="true" default="/"/>
    </params>
    <packages>
        <package name="ibm.jdk"/>
        <package name="wildflyee.api" optional="true"/>
    </packages>
</feature-spec>